Package twisted :: Package lore :: Module latex

[frames | no frames]

## Module twisted.lore.latex

Classes
`BaseLatexSpitter` |
`BookLatexSpitter` |
`ChapterLatexSpitter` |
`FootnoteLatexSpitter` | For multi-paragraph footnotes, this avoids having an empty leading paragraph.
`HeadingLatexSpitter` |
`LatexSpitter` |
`SectionLatexSpitter` |

Function Summary
| `_escapeMatch(match)`
| `convertFile(filename, spitterClass)`
| `getLatexText(node, writer, filter, entities)`
| `latexEscape(text)`
| `processFile(spitter, fin)`
| `realpath(path)`

Variable Summary
`dict` | `entities` = `{'lt': '<', 'gt': '>', 'quot': '"', 'ldquo': ...`
`SRE_Pattern` | `escapingRE` = `([\[\]#\$%&_\{\}\^~\\])`
`SRE_Pattern` | `lowerUpperRE` = `([a-z])([A-Z])`

Variable Details

### entities

  Type:
    `dict`
  Value:

        {'amp': '\\&',
         'copy': '\\copyright',
         'gt': '>',
         'ldquo': "''",
         'lt': '<',
         'mdash': '---',
         'quot': '"',
         'rdquo': '``'}

### escapingRE

  Type:
    `SRE_Pattern`
  Value:

        ([\[\]#\$%&_\{\}\^~\\])

### lowerUpperRE

  Type:
    `SRE_Pattern`
  Value:

        ([a-z])([A-Z])

Generated by Epydoc 2.0 on Sat May 15 20:08:33 2004 | http://epydoc.sf.net